QGIS Application - Bug report #10795
Processing: Bad error when downloading a missing model
2014-07-03 05:15 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19176
Description

While downloading a model (Model within a model) | get an errorl.
| think there are two issue here:

- the model is missing

- in case of a missing model, the error should be handled better

(]
Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/processing/gui/GetScriptsAndModels.py", line
198, in okPressed
code = readUrl(url)
File "/usr/share/qgis/python/plugins/processing/gui/GetScriptsAndModels.py", line
86, in readUrl
return urllib2.urlopen(url).read()
File "/usr/lib/python2.7/urllib2.py", line 127, in urlopen
return _opener.open(url, data, timeout)
File "/usr/lib/python2.7/urllib2.py", line 410, in open
response = meth(req, response)
File "/usr/lib/python2.7/urllib2.py", line 523, in http_response
'hitp', request, response, code, msg, hdrs)
File "/usr/lib/python2.7/urllib2.py", line 448, in error
return self._call_chain(*args)
File "/usr/lib/python2.7/urllib2.py", line 382, in _call_chain
result = func(*args)
File "/usr/lib/python2.7/urllib2.py", line 531, in http_error_default
raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)
HTTPError: HTTP Error 404: Not Found

History

#1 - 2014-07-03 06:17 AM - Giovanni Manghi
- Affected QGIS version changed from 2.4.0 to master
- Category set to 94

#2 - 2014-07-12 01:52 AM - Victor Olaya

fixed in 877f07ab5dda4141c9cf420805ba431aae1d023d

#3 - 2014-07-17 04:17 AM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Open to Closed

#4 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
